## gnome-shell-extension-system-monitor 31

=== debian/changelog ===
gnome-shell-extension-system-monitor (31-1) unstable; urgency=medium

  * Initial release (Closes: #847080)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 26 Oct 2016 09:26:33 +0200
