## gnome-shell-extension-system-monitor 31+git20161222-3967cdd

=== debian/changelog ===
gnome-shell-extension-system-monitor (31+git20161222-3967cdd-1) unstable; urgency=medium

  * Update to git master, fixes empty menus (Closes: 849194)

 -- Jonathan Carter <jcarter@linux.com>  Mon, 23 Jan 2017 14:37:27 +0200
