## gnome-shell-extension-system-monitor 32

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	mv _build/$(UUID)$(VSTRING).zip ./
 	-rm -fR _build
 
-_build: all
+_build: update-translation
 	-rm -fR ./_build
 	mkdir -p _build
 	cp $(BASE_MODULES) _build
@@ -55,3 +55,7 @@
 	cp $(UUID)/schemas/*.xml _build/schemas/
 	cp $(UUID)/schemas/gschemas.compiled _build/schemas/
 	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;
+
+update-translation: all
+	cd po; \
+	./compile.sh ../system-monitor@paradoxxx.zero.gmail.com/locale;
