=== debian/changelog ===
gnome-shell-extension-system-monitor (32-3) unstable; urgency=medium

   * Upload to unstable
   * Update standards version to 4.0.0

 -- Jonathan Carter <jcarter@linux.com>  Tue, 11 Jul 2017 10:20:37 +0200

gnome-shell-extension-system-monitor (32-2) experimental; urgency=medium

  * Fix permissions of README.md file

 -- Jonathan Carter <jcarter@linux.com>  Sat, 27 May 2017 15:35:43 +0200

gnome-shell-extension-system-monitor (32-1) experimental; urgency=medium

  * New upstream release
  * Add dependency: gir1.2-clutter-1.0

 -- Jonathan Carter <jcarter@linux.com>  Wed, 03 May 2017 18:55:38 +0200
