=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcarter@linux.com>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master
 
 Package: gnome-shell-extension-system-monitor
 Architecture: all
-Depends: gir1.2-gtop-2.0,
+Depends: gir1.2-clutter-1.0,
+         gir1.2-gtop-2.0,
          gir1.2-networkmanager-1.0,
          gnome-shell (>= 3.16),
          ${misc:Depends}
