=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	dh $@
 
 override_dh_auto_build:
+	# Build translations
 	# Arabic translation directory does not exist, (reported upstream)
 	mkdir -p system-monitor@paradoxxx.zero.gmail.com/locale/ar/LC_MESSAGES
 	for POFILE in po/*/system-monitor.po; do \
@@ -11,4 +12,12 @@
 		MOFILE="system-monitor@paradoxxx.zero.gmail.com/locale/$$MOLANG/LC_MESSAGES/system-monitor.mo"; \
 		msgfmt -cv -o $$MOFILE $$POFILE; \
 	done
+	# Compile gschemas so that we don't ship upstream compiled version
+	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
 	dh_auto_build
+
+override_dh_fixperms:
+	dh_fixperms
+	# Bug: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/377
+	chmod 644 debian/gnome-shell-extension-system-monitor/usr/share/doc/gnome-shell-extension-system-monitor/README.md
+
