## gnome-shell-extension-system-monitor 33

=== debian/changelog ===
gnome-shell-extension-system-monitor (33-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1
  * Update maintainer e-mail address
  * Add new authors to copyright
  * Remove override_dh_fixperms, issue fixed upstream

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Nov 2017 12:19:09 +0200
