=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gnome-shell-extension-system-monitor
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcarter@linux.com>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master
