=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,3 @@
 	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
 	dh_auto_build
 
-override_dh_fixperms:
-	dh_fixperms
-	# Bug: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/377
-	chmod 644 debian/gnome-shell-extension-system-monitor/usr/share/doc/gnome-shell-extension-system-monitor/README.md
-
