=== debian/changelog ===
gnome-shell-extension-system-monitor (35-1ubuntu0.18.04.1) bionic-proposed; urgency=medium

  * debian/patches/fix-object-gio.settings-has-already-been-deallocated.patch:
    Move initialization to enable(), and then properly disable() some objects.
    - LP: #1786608

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 11 Aug 2018 07:04:39 -0500

gnome-shell-extension-system-monitor (35-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.3

 -- Jonathan Carter <jcc@debian.org>  Thu, 12 Apr 2018 14:17:54 +0200

gnome-shell-extension-system-monitor (33-2) unstable; urgency=medium

  * Drop obsolete dependency gir1.2-networkmanager-1.0
    (Closes: #887995)
  * Update standards version to 4.1.3
  * Update compat to level 11

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 12:17:39 +0200
