=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnome-shell-extension-system-monitor
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 10), gettext, libglib2.0-bin
-Standards-Version: 4.1.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
+Standards-Version: 4.1.4
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master
@@ -12,7 +13,6 @@
 Architecture: all
 Depends: gir1.2-clutter-1.0,
          gir1.2-gtop-2.0,
-         gir1.2-networkmanager-1.0,
          gnome-shell (>= 3.16),
          ${misc:Depends}
 Description: Display system information in GNOME Shell status bar
