=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,3 @@
 	# Compile gschemas so that we don't ship upstream compiled version
 	glib-compile-schemas --strict --targetdir=system-monitor@paradoxxx.zero.gmail.com/schemas/ system-monitor@paradoxxx.zero.gmail.com/schemas
 	dh_auto_build
-
