## gnome-shell-extension-system-monitor 36

=== debian/changelog ===
gnome-shell-extension-system-monitor (36-1) unstable; urgency=medium

  * New upstream release
  * Fix BASEDIR path in debian/rules

 -- Jonathan Carter <jcc@debian.org>  Thu, 23 Aug 2018 14:03:52 +0200

gnome-shell-extension-system-monitor (35+git201805-904442-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #904442)
  * Remove superfluous README
  * Update standards version to 4.2.0

 -- Jonathan Carter <jcc@debian.org>  Sat, 11 Aug 2018 15:40:03 +0200
