=== debian/control ===
Source: gnome-shell-extension-system-monitor
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
Standards-Version: 4.2.0
Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master

Package: gnome-shell-extension-system-monitor
Architecture: all
Depends: gir1.2-clutter-1.0,
         gir1.2-gtop-2.0,
         gnome-shell,
         ${misc:Depends}
Description: Display system information in GNOME Shell status bar
 System information such as memory usage, cpu usage, network rates and more
 can be displayed in the notification area in GNOME Shell.
 .
 Settings can be accessed via gnome-tweak-tool where monitoring settings
 can be adjusted.
