## gnome-shell-extension-system-monitor 38

=== debian/changelog ===
gnome-shell-extension-system-monitor (38-1) unstable; urgency=medium

  * New upstream release
  * Add Japanese translation copyright
  * Add Chris Spencer to copyright file
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 09:57:42 +0000
