=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libglib2.0-bin
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin
+Standards-Version: 4.4.0
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging.git
 Vcs-Browser: https://gitlab.com/highvoltage/gnome-shell-extension-system-monitor-packaging/tree/master
