## gnome-shell-extension-system-monitor 38%2Bgit20200414-32cc79e

=== debian/watch ===
version=4
https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/releases .*?(\d\S*)\.tar\.gz
