## gnome-shell-extension-system-monitor 38+git20200414-32cc79e

=== debian/changelog ===
gnome-shell-extension-system-monitor (38+git20200414-32cc79e-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jonathan Carter ]
  * New upstream snapshot (Closes: #956171)
  * Add glxinfo to suggests field
  * Install gpu_usage.sh (Closes: #956656)
  * Declare Rules-Requires-Root: no

 -- Jonathan Carter <jcc@debian.org>  Fri, 17 Apr 2020 21:19:22 +0200

gnome-shell-extension-system-monitor (38-2) unstable; urgency=medium

  * Move Vcs to gnome-team on salsa.debian.org
  * Update standards version to 4.5.0
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 25 Feb 2020 12:06:03 +0200
