=== debian/control ===
Source: gnome-shell-extension-system-monitor
Section: gnome
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-system-monitor.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-system-monitor

Package: gnome-shell-extension-system-monitor
Architecture: all
Depends: gir1.2-clutter-1.0,
         gir1.2-gtop-2.0,
         gnome-shell,
         ${misc:Depends}
Suggests: glxinfo
Description: Display system information in GNOME Shell status bar
 System information such as memory usage, cpu usage, network rates and more
 can be displayed in the notification area in GNOME Shell.
 .
 Settings can be accessed via gnome-tweak-tool where monitoring settings
 can be adjusted.
