=== debian/changelog ===
gnome-shell-extension-system-monitor (40-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1
  * d/copyright: Update debian/* entry
  * d/control: Declare gnome 43 compatibility
  * d/p/0001-add-gnome-42-compat.patch: Update patch for Gnome 43 support.
    This disables the battery feature in favor of Gnome 43 support, and is
    intented as a short-term fix until upstream address it:
    https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet/issues/749

 -- Samuel Henrique <samueloph@debian.org>  Sun, 25 Sep 2022 14:08:10 +0100

gnome-shell-extension-system-monitor (40-4) unstable; urgency=high

  * d/control: Declare gnome 42 compatibility (closes: #1008557)
  * d/p/0001-add-gnome-42-compat.patch: Update patch to declare gnome 42
    compat

 -- Samuel Henrique <samueloph@debian.org>  Tue, 05 Apr 2022 18:54:10 +0100

gnome-shell-extension-system-monitor (40-3) unstable; urgency=high

  * Install gschema.xml in the right place (closes: #972260)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 23 Oct 2021 14:35:51 +0100

gnome-shell-extension-system-monitor (40-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * [b0f3c19a] Add gnome team as Maintainer

  [ Leo Antunes ]
  * [1c11a559] d/patches: add gnome 41 compat (Closes: #996071)
  * [b8df4add] add myself to uploaders

 -- Leo Antunes <costela@debian.org>  Tue, 19 Oct 2021 12:05:10 +0200

gnome-shell-extension-system-monitor (40-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * [36390636] debian/control: Remove useless dependency on clutter gir

  [ Leo Antunes ]
  * convert repo to git-buildpackage
  * [7c7b70bc] New upstream version 40 (Closes: #993198)

  [ Samuel Henrique ]
  * Bump to DH 13
  * Bump Standards-Version to 4.6.0
  * Add myself as an uploader

 -- Samuel Henrique <samueloph@debian.org>  Sat, 09 Oct 2021 18:24:00 +0100
