=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnome-shell-extension-system-monitor
 Section: gnome
 Priority: optional
-Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12), gettext, libglib2.0-bin
-Standards-Version: 4.5.0
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>,
+           Samuel Henrique <samueloph@debian.org>, Leo Antunes <costela@debian.org>
+Build-Depends: debhelper-compat (= 13), gettext, libglib2.0-bin
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-system-monitor.git
@@ -11,9 +13,9 @@
 
 Package: gnome-shell-extension-system-monitor
 Architecture: all
-Depends: gir1.2-clutter-1.0,
-         gir1.2-gtop-2.0,
-         gnome-shell,
+Depends: gir1.2-gtop-2.0,
+         gnome-shell (>= 3.26~),
+         gnome-shell (<< 44~),
          ${misc:Depends}
 Suggests: glxinfo
 Description: Display system information in GNOME Shell status bar
