=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 	sed -i 's/"version": -1/"version": "$(DEB_VERSION)"/' $(BASEDIR)/metadata.json;
 
 override_dh_auto_clean:
-	rm system-monitor@paradoxxx.zero.gmail.com/schemas/gschemas.compiled
+	rm -f system-monitor@paradoxxx.zero.gmail.com/schemas/gschemas.compiled
